| VismaBouwsoftAPICalls.v1_GET_ProjectStaff | Method |
This API call is used to get fields of a(n) ProjectStaff(s)
| HTTP method | API version |
|---|---|
| GET | v1 |
Don’t forget to put the Authorization field in the header
API Path: /ProjectStaff/
or
API Path: /ProjectStaff/FieldInfo/
You make this API call:
* to get the result of ProjectStaff
Fields
The following fields are available:
| Field Name | Type Id | Type Name | Length | Required | Writeable | Force Write | Link |
|---|---|---|---|---|---|---|---|
| project_id | 1 | tpLong | 0 | No | No | No | |
| project_pnr | 1 | tpLong | 0 | No | No | No | |
| project_unr | 1 | tpLong | 0 | No | No | No | |
| project_name | 2 | tpString | 100 | No | No | No | |
| employee_id | 1 | tpLong | 0 | No | No | No | |
| employee_name | 2 | tpString | 150 | No | No | No | |
| employee_initials | 2 | tpString | 5 | No | No | No | |
| employee_address | 2 | tpString | 63 | No | No | No | |
| employee_addressline2 | 2 | tpString | 63 | No | No | No | |
| employee_countrycode | 2 | tpString | 2 | No | No | No | |
| employee_zipcode | 2 | tpString | 15 | No | No | No | |
| employee_city | 2 | tpString | 40 | No | No | No | |
| employee_state | 2 | tpString | 40 | No | No | No | |
| employee_telephone1 | 9 | tpTelefoon | 25 | No | No | No | |
| employee_telephone2 | 9 | tpTelefoon | 25 | No | No | No | |
| employee_fax | 15 | tpFax | 25 | No | No | No | |
| employee_gsm | 9 | tpTelefoon | 25 | No | No | No | |
| employee_email | 10 | tpEmail | 100 | No | No | No | |
| type | 2 | tpString | 0 | No | No | No |
/ProjectStaff/
API Path: /ProjectStaff/
If everything succeeds the HTTP response status is 200
(200 OK)
If there is something wrong with the request, the response status and code is 400
(400 Bad Request)
If you forget to send the Authorization, the response status is 401
(401 Unauthorized)
If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)
For an explanation of all possible errors, please consult our section on possible answers to API calls here
Examples:
https://ra.bouwsoft.be/api/v1/ProjectStaff
with the following parameters :
Header Parameters :
ParameterName: AccessToken, ParameterValue: UGVfWxfkflzSfjIbAtzRqtrjfOVfIOIVjGUtzUOOltrGtImVjr
ParameterName: Clientnr, ParameterValue: 115
Query Parameters :
ParameterName: filter, ParameterValue: project_pnr eq 20200038
Success gives statuscode 200 And the following result
{
“Content-Range”:“0–3/4”,
“Records”:
[
{
"id": 327,
"project_id": 2217,
"project_pnr": 20200038,
"project_unr": 2018001256,
"project_name": "testje",
"employee_id": 301,
"employee_name": "Andy Averechtss",
"employee_initials": "AA",
"employee_address": "Hogeweg 37",
"employee_addressline2": "",
"employee_countrycode": "BE",
"employee_zipcode": "8200",
"employee_city": "Brugge",
"employee_state": "West-Vlaanderen",
"employee_telephone1": "",
"employee_telephone2": "",
"employee_fax": "",
"employee_gsm": "",
"employee_email": "",
"type": "Project Leader"
},
{
"id": 326,
"project_id": 2217,
"project_pnr": 20200038,
"project_unr": 2018001256,
"project_name": "testje",
"employee_id": 164,
"employee_name": "BAEKELAND Leandro",
"employee_initials": "BL",
"employee_address": "Blankenbergse Dijk 65",
"employee_addressline2": "",
"employee_countrycode": "BE",
"employee_zipcode": "8370",
"employee_city": "Uitkerke",
"employee_state": "West-Vlaanderen",
"employee_telephone1": "+32 42 55 55 ",
"employee_telephone2": "",
"employee_fax": "",
"employee_gsm": "+32 495 76 22 63 ",
"employee_email": "",
"type": "Calculator"
}
,
…
]
}
/ProjectStaff/FieldInfo
If everything succeeds the HTTP response status is 200
(200 OK)
If there is something wrong with the request, the response status and code is 400
(400 Bad Request)
If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)
If you forget to send the Authorization, the response status is 401
(401 Unauthorized)
If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)
For an explanation of all possible errors, please consult our section on possible answers to API calls here
Examples:
https://ra.bouwsoft.be/api/v1/ProjectStaff/FieldInfo
with the following parameters :
Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115
Success gives statuscode 200 And the following result
[
{
"name": "project_id",
"type_id": 1,
"type_name": "tpLong",
"length": 0,
"required": false,
"writeable": false,
"forcewrite": false,
"link": ""
},
{
"name": "project_pnr",
"type_id": 1,
"type_name": "tpLong",
"length": 0,
"required": false,
"writeable": false,
"forcewrite": false,
"link": ""
}
,
…
]